<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateJournalEntryLedgerOutputTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('journal_entry_ledger_output', function (Blueprint $table) {
            $table->id();
            $table->enum('journal_entru', ['mark_paid', 'tds'])->nullable();
            $table->string('ledger_name')->nullable();
            $table->text('description')->nullable();
            $table->boolean('mark_as_paid')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('journal_entry_ledger_output');
    }
}
